Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class AbstractSVGLengthList.SVGLengthItem

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGLength
          org.apache.batik.dom.svg.AbstractSVGLengthList.SVGLengthItem

All Implemented Interfaces:
  SVGItem, org.w3c.dom.svg.SVGLength

Enclosing class:
  AbstractSVGLengthList

    protected class AbstractSVGLengthList.SVGLengthItem

extends AbstractSVGLength
implements SVGItem

An `SVGLength` in the list.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.batik.dom.svg.AbstractSVGLength
`AbstractSVGLength.DefaultContext`

Field Summary
`protected AbstractSVGList` | `parentList` List the item belongs to.

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGLength
`context, direction, HORIZONTAL_LENGTH, OTHER_LENGTH, UNITS, unitType, value, VERTICAL_LENGTH`

Fields inherited from interface org.w3c.dom.svg.SVGLength
`SVG_LENGTHTYPE_CM, SVG_LENGTHTYPE_EMS, SVG_LENGTHTYPE_EXS, SVG_LENGTHTYPE_IN, SVG_LENGTHTYPE_MM, SVG_LENGTHTYPE_NUMBER, SVG_LENGTHTYPE_PC, SVG_LENGTHTYPE_PERCENTAGE, SVG_LENGTHTYPE_PT, SVG_LENGTHTYPE_PX, SVG_LENGTHTYPE_UNKNOWN`

Constructor Summary
`AbstractSVGLengthList.SVGLengthItem(short type, float value, short direction)` Creates a new SVGLengthItem.

Method Summary
`protected SVGOMElement` | `getAssociatedElement()` Returns the element this length is associated with.
`AbstractSVGList` | `getParent()` Returns the parent list of this item.
`protected void` | `reset()` Notifies the parent list that this item has changed.
`void` | `setParent(AbstractSVGList list)` Assigns a parent list to this item.

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGLength
`convertToSpecifiedUnits, getUnitType, getValue, getValueAsString, getValueInSpecifiedUnits, newValueSpecifiedUnits, parse, revalidate, setValue, setValueAsString, setValueInSpecifiedUnits`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.dom.svg.SVGItem
`getValueAsString`

Field Detail

### parentList

    protected AbstractSVGList parentList

  List the item belongs to.

Constructor Detail

### AbstractSVGLengthList.SVGLengthItem

    public AbstractSVGLengthList.SVGLengthItem(short type,
                                               float value,
                                               short direction)

  Creates a new SVGLengthItem.

Method Detail

### getAssociatedElement

    protected SVGOMElement getAssociatedElement()

  Returns the element this length is associated with.

  Specified by:
    `getAssociatedElement` in class `AbstractSVGLength`

### setParent

    public void setParent(AbstractSVGList list)

  Assigns a parent list to this item.

  Specified by:
    `setParent` in interface `SVGItem`
  Parameters:
    `list` - The list the item belongs.

### getParent

    public AbstractSVGList getParent()

  Returns the parent list of this item.

  Specified by:
    `getParent` in interface `SVGItem`
  Returns:
    list the item belongs to. This could be if the item belongs to no list.

### reset

    protected void reset()

  Notifies the parent list that this item has changed.

  Overrides:
    `reset` in class `AbstractSVGLength`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.